Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class Property

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.BpelObject4WSDL
                  org.apache.ode.bpel.compiler.bom.Property

All Implemented Interfaces:
  java.io.Serializable, javax.wsdl.extensions.ExtensibilityElement

    public class Property

extends BpelObject4WSDL

Interim object representation of a BPEL `<property` element.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`Property(org.w3c.dom.Element el)`

Method Summary
`javax.xml.namespace.QName` | `getName()` Get the name of the property; note that this name is in the target-namespace of the WSDL.
`javax.xml.namespace.QName` | `getPropertyType()` Get the name of the schema type for this property

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject4WSDL
`getElementType, getRequired, getTargetNamespace, setElementType, setRequired, setTargetNamespace`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Property

    public Property(org.w3c.dom.Element el)

Method Detail

### getName

    public javax.xml.namespace.QName getName()

  Get the name of the property; note that this name is in the target-namespace of the WSDL.

  Returns:
    the `QName` of the property.

### getPropertyType

    public javax.xml.namespace.QName getPropertyType()

  Get the name of the schema type for this property

  Returns:
    the `QName` for the schema type of this property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD